package com.google.android.play.core.assetpacks;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import java.util.HashMap;
import java.util.Map;

public final class ay {
    public final Map<String, Double> LIZ = new HashMap();

    static {
        Covode.recordClassIndex(44131);
    }

    public final synchronized double LIZ(String str, bo boVar) {
        double d;
        MethodCollector.i(8770);
        d = (((double) ((ar) boVar).LJ) + 1.0d) / ((double) ((ar) boVar).LJFF);
        this.LIZ.put(str, Double.valueOf(d));
        MethodCollector.o(8770);
        return d;
    }

    public final synchronized void LIZ(String str) {
        MethodCollector.i(8573);
        this.LIZ.put(str, Double.valueOf(0.0d));
        MethodCollector.o(8573);
    }

    public final synchronized double LIZIZ(String str) {
        MethodCollector.i(8769);
        Double d = this.LIZ.get(str);
        if (d == null) {
            MethodCollector.o(8769);
            return 0.0d;
        }
        double doubleValue = d.doubleValue();
        MethodCollector.o(8769);
        return doubleValue;
    }
}
